org.keycloak.authorization.admin

## Class PolicyTypeService

- java.lang.Object
- - org.keycloak.authorization.admin.PolicyService
  - - org.keycloak.authorization.admin.PolicyTypeService

-     public class PolicyTypeService
      extends PolicyService

  Author:
    Pedro Igor

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.authorization.admin.PolicyService

      `adminEvent, auth, authorization, resourceServer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyTypeService(String type, ResourceServer resourceServer, AuthorizationProvider authorization, AdminPermissionEvaluator auth, AdminEventBuilder adminEvent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `doCreatePolicyResource(Policy policy)`
    `protected AbstractPolicyRepresentation` | `doCreateRepresentation(String payload)`
    `protected List<Object>` | `doSearch(Integer firstResult, Integer maxResult, String fields, Map<String,String[]> filters)`
    `Object` | `getPolicyAdminResourceProvider()`
    `protected AbstractPolicyRepresentation` | `toRepresentation(Policy policy, String fields, AuthorizationProvider authorization)`

    - ### Methods inherited from class org.keycloak.authorization.admin.PolicyService

      `create, create, doCreatePolicyTypeResource, findAll, findByName, findPolicyProviders, getPolicyEvaluateResource, getPolicyProviderAdminResource, getPolicyProviderFactory, getResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyTypeService

          public PolicyTypeService(String type,
                                   ResourceServer resourceServer,
                                   AuthorizationProvider authorization,
                                   AdminPermissionEvaluator auth,
                                   AdminEventBuilder adminEvent)

  - ### Method Detail

    - #### getPolicyAdminResourceProvider

          @Path(value="/provider")
          public Object getPolicyAdminResourceProvider()

    - #### doCreatePolicyResource

          protected Object doCreatePolicyResource(Policy policy)

      Overrides:
        `doCreatePolicyResource` in class `PolicyService`

    - #### doCreateRepresentation

          protected AbstractPolicyRepresentation doCreateRepresentation(String payload)

      Overrides:
        `doCreateRepresentation` in class `PolicyService`

    - #### toRepresentation

          protected AbstractPolicyRepresentation toRepresentation(Policy policy,
                                                                  String fields,
                                                                  AuthorizationProvider authorization)

      Overrides:
        `toRepresentation` in class `PolicyService`

    - #### doSearch

          protected List<Object> doSearch(Integer firstResult,
                                          Integer maxResult,
                                          String fields,
                                          Map<String,String[]> filters)

      Overrides:
        `doSearch` in class `PolicyService`

Copyright © 2021 JBoss by Red Hat. All rights reserved.